<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/2002/REC-xhtml1-20020801/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Edycja w miejscu</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<style type="text/css">
li { margin-bottom: 10px; padding: 3px; list-style-type: none; background-color: #ffcccc; }
ul { width: 600px }
</style>
<?php

// Połšczenie z bazš danych i zgłoszenie zapytania o wpis, 
// jeli podany został jego numer
mysql_connect('localhost','nazwa_uzytkownika','haslo');
mysql_select_db('database');

$qry = "select ID,  post_title from wp_posts limit 20";
$rows = mysql_query($qry);  

?>
<script type="text/javascript" src="mootools.js">
</script>
<script type="text/javascript">
//<![CDATA[

window.onload=function() {
var sortitems = $S('#firstlist ul.sort');
var sortable = new Sortables(sortitems, {droppables: sortitems});

sortitems.each(function(element) {
    element.extend(sortable);
});
});

//]]>
</script>
</head>
<body>

<ul id="firstlist">
<?php

   if(($rows) && mysql_num_rows($rows) > 0) {
      while($row = mysql_fetch_row($rows)) {
?>
   <li><?php echo $row[1]; ?></li>
<?php }
    }
?>
</ul>
</body>
</html>
